Subject: Re: [PATCH bpf-next v3 0/4] net/smc: Introduce BPF injection capability

From: Jakub Kicinski <[email-masked]>
Date: Tue, 28 Feb 2023 19:24:28 -0800

On Wed, 1 Mar 2023 10:41:57 +0800 Tony Lu wrote:
> Actually, this patch set is going to replace the patch of TCP ULP for
> SMC. If this patch set is accepted, I am going to revert that patch.
> 
> For the reasons, the TCP ULP for SMC doesn't use wildly. It's not
> possible to know which applications are suitable to be replaced with
> SMC. But it's easier to detect the behavior of applications and
> determine whether to replace applications with SMC. And this patch set
> is going to fallback to TCP by behavior with eBPF.
> 
> So this is the _fix_ for that patch.

Good to hear, I was worried you'd still want to install the ULP at some
point whether the decision is via BPF or user space.